FUNCTION define_L2TLGC
; Definition of Un directional products
Nu_par = 99  ;  Number
N = 0
U_par = replicate({parametre},Nu_par) 
;U_par[N] = {parametre,'DQX1-Cent_pixel' ,18,16,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer1'       ,11,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer2'       ,12,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer3'       ,13,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-aer4'       ,14,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-glint'      ,15,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX3-Snow'       ,16,14,'no unit',1.  ,0.,  0,0,0} & N=N+1
;U_par[N] = {parametre,'DQX4-IQaer'      , 1,13,'no unit',1.  ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Altitude'        ,-2,10,'meters' ,1.   ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine Opt. Thick.', 2,17,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Refrac. Index'   , 1,19,'no unit',0.01 ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Anstrom Coef.'   , 1,20,'no unit',0.014,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aerosol Index'   , 2,21,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fixed Model OT'  , 2,23,'no unit',0.002,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Measurement QI'  , 2,25,'no unit',1.   ,0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'Inversion QI'    , 1,27,'no unit',1.   ,0.,  0,0,0} & N=N+1

Nu_par = N  
U_par = U_par[0:N-1]
;U_par  = A  ;  Pas de parametre non-directionnel ici
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
D_par = {parametre}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}  
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
;  resol est la resolution du produit (pixels par degres; 18, 6 ou 2)
;
product={type:'L2TLGC',resol:6,Nbyte_tot:28,Nbyte_nd:28,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}
RETURN,product
END
