FUNCTION define_L2TOGC,PARASOL=parasol
; Definition of Un directional products
Nu_par = 99  ;  Nombre
N = 0
U_par = replicate({parametre},Nu_par) 
U_par[N] = {parametre,'Quality Index'  , 1,17,'no unit',1.    , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Solar Zenith'   , 2,18,'deg.'   ,0.1   , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'865 nm Opt Thi' , 2,20,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'670 nm Opt Thi' , 2,22,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Angstrom Coef.' , 2,24,'no unit',0.01  ,-0.5,  0,0,0} & N=N+1
U_par[N] = {parametre,'Single Scat. A' , 1,26,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aer. Asym Fact.', 1,27,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aerosol Index'  , 2,28,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Aer Eff. radius', 1,30,'m     ',0.05  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine mode rad.' , 1,31,'m     ',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Coarse mode rad', 1,32,'m     ',0.05  , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine OptThi 865', 2,33,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine OptThi 670', 2,35,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine Angs. Coef', 2,37,'no unit',0.01  ,-0.5,  0,0,0} & N=N+1
U_par[N] = {parametre,'Tau865 Coar Sph', 2,39,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Tau865 Coar NoS', 2,41,'no unit',0.002 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Non Spheric. In', 1,43,'no unit',0.005 , 0. ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Fine Refr. Ind.', 1,44,'no unit',0.01  , 1.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'Coar Refr. Ind.', 1,45,'no unit',0.01  , 1.  ,  0,0,0} & N=N+1
U_par[N] = {parametre,'beta_log_565   ', 2,46,'no unit',0.0005, 0.,  0,0,0} & N=N+1
U_par[N] = {parametre,'beta_log_1020  ', 2,48,'no unit',0.0005, 0.,  0,0,0} & N=N+1

Nu_par = N  
U_par = U_par[0:N-1]
;--------------------------------------------------------------------------------
; Dfinition des parametres directionnels
Nd_par = 0   ;  Number of directional products
D_par = {parametre}
;--------------------------------------------------------------------------------
; Dfinition des combinaisons non-directionnels
Nc_par = 0    ;  Number of Multi-parameter non directional
C_par = {combi}     ;  
;--------------------------------------------------------------------------------
; Dfinition des combinaisons "directionnel"
Ncd_par = 0    ;  Number of Multi-parameter non directional
Cd_par = {combi}
;
product={type:'L2TOGC',resol:6,Nbyte_tot:50,Nbyte_nd:50,Nbyte_d:0,Nu_par:Nu_par,U_par:U_par,Nd_par:Nd_par,D_par:D_par,$
         Nc_par:Nc_par,C_par:C_par,Ncd_par:Ncd_par,Cd_par:Cd_par}

RETURN,product
END
